<?php
$color='black';

if ( function_exists('register_sidebar') )
    register_sidebars(2, array(
        'before_widget' => '<li class="widget">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
		
		
function getWords($text, $limit){
	$array = explode(" ", $text, $limit+1);
	if (count($array) > $limit){
		unset($array[$limit]);
	}
	return implode(" ", $array);
}

function my_recent_comments($c_count=7, $c_length=60, $pre_HTML='<li class="widget"><h2 class="widgettitle">Recent Comments</h2>', $post_HTML='</li>') {
	global $wpdb;
	
	$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$c_length) AS com_excerpt 
		FROM $wpdb->comments 
		LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) 
		WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' 
		ORDER BY comment_date_gmt DESC 
		LIMIT $c_count";
	$comments = $wpdb->get_results($sql);

	$output = $pre_HTML;
	$output .= "\n<ul>";
	foreach ($comments as $comment) {
		$output .= "\n\t<li><span class=\"krivo\">by ". $comment->comment_author ."</span><br /><a class=\"sivo\" title=\"on ". $comment->post_title . "\" href=\"". get_permalink($comment->ID) . "#comment-" . $comment->comment_ID  ."\">" . strip_tags($comment->com_excerpt) . "</a>";
		
	}
	$output .= "\n</ul>";
	$output .= $post_HTML;
	
	echo $output;

}

?>
		